Package org.eclipse.e4.ui.css.core.impl.dom.parsers

# Class AbstractCSSParser

java.lang.Object
org.eclipse.e4.ui.css.core.impl.dom.parsers.AbstractCSSParser

All Implemented Interfaces:
  `CSSParser`

Direct Known Subclasses:
  `CSSParserImpl`

public class AbstractCSSParser extends Object implements CSSParser
Abstract `CSSParser` implementation.

## Constructor Summary

Constructors
Constructor
Description
`AbstractCSSParser()`

## Method Summary

Modifier and Type
Method
Description
`org.w3c.css.sac.ConditionFactory`
`getConditionFactory()`
Get the SAC `ConditionFactory` used by SAC `Parser`.
`DocumentHandlerFactory`
`getDocumentHandlerFactory()`
Return instance of `DocumentHandlerFactory`.
`org.w3c.css.sac.Parser`
`getParser()`
Return SAC `Parser` to use.
`ISACParserFactory`
`getSACParserFactory()`
Return factory `ISACParserFactory` to use.
`org.w3c.css.sac.SelectorFactory`
`getSelectorFactory()`
Get the SAC `SelectorFactory` used by SAC `Parser`.
`CSSValue`
`parsePropertyValue(org.w3c.css.sac.InputSource source)`
Parse CSS `source` value with SAC `Parser` and return `CSSValue` instance.
`CSSRule`
`parseRule(org.w3c.css.sac.InputSource source)`
Parse CSS `source` rule value with SAC `Parser` and return `CSSRule` instance.
`org.w3c.css.sac.SelectorList`
`parseSelectors(org.w3c.css.sac.InputSource source)`
Parse CSS `source` selectors value with SAC `Parser` and return `SelectorList` instance.
`CSSStyleDeclaration`
`parseStyleDeclaration(org.w3c.css.sac.InputSource source)`
Parse CSS `source` style declaration with SAC `Parser` and return `CSSStyleDeclaration` instance.
`void`
`parseStyleDeclaration(CSSStyleDeclaration styleDeclaration, org.w3c.css.sac.InputSource source)`
Parse CSS `source` style declaration with SAC `Parser` and update the `styleDecelaration`.
`CSSStyleSheet`
`parseStyleSheet(org.w3c.css.sac.InputSource source)`
Parse CSS `source` style sheet with SAC `Parser` and return `CSSStyleSheet` instance.
`void`
`setConditionFactory(org.w3c.css.sac.ConditionFactory conditionFactory)`
Set the SAC `ConditionFactory` used by SAC `Parser`.
`void`
`setDocumentHandlerFactory(DocumentHandlerFactory documentHandlerFactory)`
Set instance of `DocumentHandlerFactory`.
`void`
`setParentStyleSheet(CSSStyleSheet parentStyleSheet)`
Set the parent `CSSStyleSheet`.
`void`
`setParser(org.w3c.css.sac.Parser parser)`
Set SAC `Parser` to use.
`void`
`setSACParserFactory(ISACParserFactory parserFactory)`
Set factory `ISACParserFactory` to use.
`void`
`setSelectorFactory(org.w3c.css.sac.SelectorFactory selectorFactory)`
Set the SAC `SelectorFactory` used by SAC `Parser`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractCSSParser

public AbstractCSSParser()

## Method Details

### parseStyleSheet

public CSSStyleSheet parseStyleSheet(org.w3c.css.sac.InputSource source) throws IOException
Description copied from interface: `CSSParser`
Parse CSS `source` style sheet with SAC `Parser` and return `CSSStyleSheet` instance.

Specified by:
  `parseStyleSheet` in interface `CSSParser`
Parameters:
  `source` - style sheet.
Throws:
  `IOException`

### parseStyleDeclaration

public CSSStyleDeclaration parseStyleDeclaration(org.w3c.css.sac.InputSource source) throws IOException
Description copied from interface: `CSSParser`
Parse CSS `source` style declaration with SAC `Parser` and return `CSSStyleDeclaration` instance.

Specified by:
  `parseStyleDeclaration` in interface `CSSParser`
Parameters:
  `source` - style declaration.
Throws:
  `IOException`

### parseStyleDeclaration

public void parseStyleDeclaration(CSSStyleDeclaration styleDeclaration, org.w3c.css.sac.InputSource source) throws IOException
Description copied from interface: `CSSParser`
Parse CSS `source` style declaration with SAC `Parser` and update the `styleDecelaration`.

Specified by:
  `parseStyleDeclaration` in interface `CSSParser`
Throws:
  `IOException`

### parsePropertyValue

public CSSValue parsePropertyValue(org.w3c.css.sac.InputSource source) throws IOException
Description copied from interface: `CSSParser`
Parse CSS `source` value with SAC `Parser` and return `CSSValue` instance.

Specified by:
  `parsePropertyValue` in interface `CSSParser`
Parameters:
  `source` - CSS value.
Throws:
  `IOException`

### parseRule

public CSSRule parseRule(org.w3c.css.sac.InputSource source) throws IOException
Description copied from interface: `CSSParser`
Parse CSS `source` rule value with SAC `Parser` and return `CSSRule` instance.

Specified by:
  `parseRule` in interface `CSSParser`
Parameters:
  `source` - CSS rule.
Throws:
  `IOException`

### parseSelectors

public org.w3c.css.sac.SelectorList parseSelectors(org.w3c.css.sac.InputSource source) throws IOException
Description copied from interface: `CSSParser`
Parse CSS `source` selectors value with SAC `Parser` and return `SelectorList` instance.

Specified by:
  `parseSelectors` in interface `CSSParser`
Throws:
  `IOException`

### setParentStyleSheet

public void setParentStyleSheet(CSSStyleSheet parentStyleSheet)
Description copied from interface: `CSSParser`
Set the parent `CSSStyleSheet`.

Specified by:
  `setParentStyleSheet` in interface `CSSParser`

### getDocumentHandlerFactory

public DocumentHandlerFactory getDocumentHandlerFactory()
Return instance of `DocumentHandlerFactory`.

### setDocumentHandlerFactory

public void setDocumentHandlerFactory(DocumentHandlerFactory documentHandlerFactory)
Set instance of `DocumentHandlerFactory`.

Specified by:
  `setDocumentHandlerFactory` in interface `CSSParser`

### getParser

public org.w3c.css.sac.Parser getParser()
Return SAC `Parser` to use.

### setParser

public void setParser(org.w3c.css.sac.Parser parser)
Set SAC `Parser` to use.

### getSACParserFactory

public ISACParserFactory getSACParserFactory()
Return factory `ISACParserFactory` to use.

### setSACParserFactory

public void setSACParserFactory(ISACParserFactory parserFactory)
Set factory `ISACParserFactory` to use.

### getConditionFactory

public org.w3c.css.sac.ConditionFactory getConditionFactory()
Description copied from interface: `CSSParser`
Get the SAC `ConditionFactory` used by SAC `Parser`.

Specified by:
  `getConditionFactory` in interface `CSSParser`

### setConditionFactory

public void setConditionFactory(org.w3c.css.sac.ConditionFactory conditionFactory)
Description copied from interface: `CSSParser`
Set the SAC `ConditionFactory` used by SAC `Parser`.

Specified by:
  `setConditionFactory` in interface `CSSParser`

### getSelectorFactory

public org.w3c.css.sac.SelectorFactory getSelectorFactory()
Description copied from interface: `CSSParser`
Get the SAC `SelectorFactory` used by SAC `Parser`.

Specified by:
  `getSelectorFactory` in interface `CSSParser`

### setSelectorFactory

public void setSelectorFactory(org.w3c.css.sac.SelectorFactory selectorFactory)
Description copied from interface: `CSSParser`
Set the SAC `SelectorFactory` used by SAC `Parser`.

Specified by:
  `setSelectorFactory` in interface `CSSParser`